std::swap(std::valarray)(3)

NAME
std::swap(std::valarray) - std::swap(std::valarray)

Synopsis
   Defined in header <valarray>
   template< class T > (since C++11)
   void swap( std::valarray<T> &lhs, std::valarray<T> &rhs ) noexcept;
   Specializes the std::swap algorithm for std::valarray. Swaps the contents of lhs and
   rhs. Calls lhs.swap(rhs).

Parameters
   lhs, rhs - valarrays whose contents to swap

Return value
   (none)

Complexity
   Constant.

See also
   swap swaps with another valarray
        (public member function)